Package wx :: Package py :: Module shell :: Class ShellFacade

[frames | no frames]

## Class ShellFacade

Simplified interface to all shell-related functionality.

This is a semi-transparent facade, in that all attributes of other are accessible, even though only some are visible to the user.

Method Summary
| ``__init__`(self, other)` Create a ShellFacade instance.
| `__getattr__(self, name)`
| `__setattr__(self, name, value)`
| ``help`(self)` Display some useful information about how to use the shell.

Class Variable Summary
`str` | `name` = `'Shell Interface'`
`str` | `revision` = `'1.20'`

Method Details

### __init__(self, other)
(Constructor)

Create a ShellFacade instance.

### help(self)

Display some useful information about how to use the shell.

Class Variable Details

### name

  Type:
    `str`
  Value:

        'Shell Interface'

### revision

  Type:
    `str`
  Value:

        '1.20'

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:14:40 2007 | http://epydoc.sf.net